#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "${LIBGPAK_COLORS_SH:-}" ]] && return
LIBGPAK_COLORS_SH=1


if [[ ! -t 1 ]] || (( UGLY )); then
    ALL_OFF=""
    BOLD=""
    BLUE=""
    GREEN=""
    RED=""
    YELLOW=""
    PURPLE=""
else
    # prefer terminal safe colors when tput is supported
    if tput setaf 0 &>/dev/null; then
        ALL_OFF="$(tput sgr0)"
        BOLD="$(tput bold)"
        BLUE="${BOLD}$(tput setaf 4)"
        GREEN="${BOLD}$(tput setaf 2)"
        RED="${BOLD}$(tput setaf 1)"
        YELLOW="${BOLD}$(tput setaf 3)"
        PURPLE="${BOLD}$(tput setaf 5)"
    else
        ALL_OFF="\e[0m"
        BOLD="\e[1m"
        BLUE="${BOLD}\e[34m"
        GREEN="${BOLD}\e[32m"
        RED="${BOLD}\e[31m"
        YELLOW="${BOLD}\e[33m"
        PURPLE="${BOLD}\e[35m"
    fi
fi

readonly ALL_OFF BOLD BLUE GREEN RED YELLOW PURPLE

color_text() {
    local text=$1
    local color=$2

    printf "${color}%s${ALL_OFF}"
}
