#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "${LIBGPAK_LINT_SH:-}" ]] && return
LIBGPAK_LINT_SH=1

lint_packages() {
    packages=("$@")

    msg "Linting packages"

    for distro in "${DISTRIBUTIONS[@]}"; do
        local source_dir="${BUILD_DIR}/${distro}"

        shopt -s globstar nullglob
        for pkg in "${packages[@]}"; do
            debs=("${source_dir}/${pkg}"/*.deb)

            if (( ! ${#debs} )); then
                warning2 "No debs found for %s in %s" "${pkg}" "${source}"
                continue
            fi

            # PKGBUILDs most likely will always fail lintian, so we're not
            # reporting these errors.
            for deb in "${debs[@]}"; do
                msg2 "Lintian %s/%s: %s" "${distro}" "${pkg}" "$(basename -- "${deb}")"
                lintian "${deb}"
            done
        done
    done
}
